Summary: Generic Security Services Application Programming Interface Library
Name: libgssapi
Version: 0.10
Release: 2%{?dist}
URL: http://www.citi.umich.edu/projects/nfsv4/linux/
License: GPL
Source0: http://www.citi.umich.edu/projects/nfsv4/linux/libgssapi/libgssapi-0.10.tar.gz
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: pkgconfig
Requires(postun): /sbin/ldconfig
Requires(pre): /sbin/ldconfig
PreReq: krb5-libs >= 1.5

%description
This library exports a gssapi interface, but doesn't implement any gssapi
mechanisms itself; instead it calls gssapi routines in other libraries,
depending on the mechanism.

%package devel
Summary: Development files for the gssapi library
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

Patch0: libgssapi-0.7-gssapi_mech.patch
Patch1: libgssapi-0.10-auto-sizeof.patch

%description devel
This package includes header files and libraries necessary for
developing programs which use the gssapi library.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%configure --prefix=%{buildroot}
make all 

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/etc
%makeinstall
install -m 644 doc/gssapi_mech.conf %{buildroot}/etc/gssapi_mech.conf

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog NEWS README
%{_libdir}/libgssapi.so.*
%{_libdir}/libgssapi.la
%config(noreplace) /etc/gssapi_mech.conf

%files devel
%defattr(0644,root,root,755)
%{_libdir}/libgssapi.so
%{_libdir}/libgssapi.a
%{_includedir}/gssglue/gssapi/gssapi.h
%{_libdir}/pkgconfig/libgssapi.pc

%changelog
* Fri Mar  9 2007 Steve Dickson <steved@redhat.com> - 0.10-2
- Fixed file confliction with the i386 and x86 devel packages (bz 192708)

* Fri Aug  4 2006 Steve Dickson <steved@redhat.com> - 0.10-1
- Upgraded to libgssapi version 0.10 which is need for
  compatibility with krb5-libs 1.5.

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 0.9-2.1
- rebuild

* Tue Jun 20 2006 Steve Dickson <steved@redhat.com>  0.9-2
- rebuilt for FC6 release

* Thu Jun  8 2006 Steve Dickson <steved@redhat.com>  0.9-1
- Upgraded to 0.9-1 

* Thu Feb 09 2006 Florian La Roche <laroche@redhat.com>
- remove empty scripts

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 0.7-1.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Fri Jan 6 2006 Steve Dickson <steved@redhat.com>  0.7-1
- Initial commit
